Subject: Re: bug#41139: duplicate service provision error message is too terse

From: Ludovic Courtès <[email-masked]>
Date: Mon, 18 May 2020 00:16:08 +0200

Hi,

Ricardo Wurmus <[email-masked]> skribis:

> Ricardo Wurmus <[email-masked]> writes:
>
>> This is not very helpful, because it’s hard to tell how we got there.
>> Which of the selected services provide xorg-server?
>
> This is the wrong question.  While Shepherd services may have been
> introduced to the Shepherd service graph by other general system
> services, this kind of information is unavailable when just looking at
> the Shepherd service itself.
>
> The only user-facing identifiers a Shepherd service has is its
> provisions.  It’s hard to do better without extending Shepherd services
> to include provenance information.

Yes, or ‘fold-services’ could provide the “service extension stack”
somehow, for use in error reports.

Ludo’.